"use strict";require("core-js/modules/es.promise");var _fs=require("fs");

var _signalExit=_interopRequireDefault(require("signal-exit"));
var _pathExists=_interopRequireDefault(require("path-exists"));function _interopRequireDefault(obj){return obj&&obj.__esModule?obj:{default:obj}}




const cleanWrite=async function(writeFunction,filePath){
const removeOnExit=(0,_signalExit.default)(()=>cleanup(filePath));

try{
await writeFunction();
}catch(error){
removeOnExit();
cleanup(filePath);
throw error;
}

removeOnExit();
};


const cleanup=function(filePath){
if(!_pathExists.default.sync(filePath)){
return;
}

(0,_fs.unlinkSync)(filePath);
};



module.exports=cleanWrite;
//# sourceMappingURL=main.js.map